<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/EmoteConstructor.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d4a/_emote_constructor_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EmoteConstructor.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d4a/_emote_constructor_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_emote_constructor.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dd4/class_emote_constructor.html">EmoteConstructor</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_emote_constructor.html#a423f442ef771108fce4ced4302ccdc0c">    3</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/dd4/class_emote_constructor.html#a423f442ef771108fce4ced4302ccdc0c">ConstructEmotes</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, out <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref EmoteBase&gt;</a> emoteMap)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">TTypenameArray</a> emote_array_names = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga1089b41e0452fe47cf93bfa942e5f961">TTypenameArray</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d4/dd4/class_emote_constructor.html#a30e7c37269e2995dd13fdf8acb01a7f4">RegisterEmotes</a>(emote_array_names);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#ga103d3d25634e2d2b24e45c0515bffaa2">Sort</a>(emote_array_names,emote_array_names.Count());</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        emoteMap = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref EmoteBase&gt;</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        ref <a class="code hl_class" href="../../d3/d03/class_emote_base.html">EmoteBase</a> new_emote;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; emote_array_names.Count(); i++)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            new_emote = <a class="code hl_class" href="../../d3/d03/class_emote_base.html">EmoteBase</a>.Cast(emote_array_names[i].<a class="code hl_function" href="../../df/dbe/_area_damage_manager_8c.html#a76a1123843570070c883a4c1134dcf58">Spawn</a>());</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="keywordflow">if</span> (new_emote)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>                <span class="keywordflow">if</span> (new_emote.GetID() &lt; 0)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                    <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Emote &quot;</span> + emote_array_names[i].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() + <span class="stringliteral">&quot; has an invalid ID, registation failed!&quot;</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (emoteMap.Contains(new_emote.GetID()))</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                    <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Emote &quot;</span> + emote_array_names[i].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() + <span class="stringliteral">&quot; has a duplicate ID, registation failed!&quot;</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                    new_emote.SetOwnerPlayer(player); </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                    emoteMap.Insert(new_emote.GetID(), new_emote);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_emote_constructor.html#a30e7c37269e2995dd13fdf8acb01a7f4">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_emote_constructor.html#a30e7c37269e2995dd13fdf8acb01a7f4">RegisterEmotes</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">TTypenameArray</a> emotes)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a14d36a6eb6d827fb62a80543c8628b1f">EmoteGreeting</a>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a9a7cb39cb6a4e9372d047733375ff3da">EmoteSOS</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab45d986868b1de3aa6580a4ab41fb86a">EmoteHeart</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a25ed23aa7957f324f0c5e8829198f86f">EmoteTaunt</a>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a8c4c732a39d7aa7dc6a12ca671f6c35d">EmoteLyingDown</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a03023ef84ff1864dfe94138c9937376c">EmoteTauntKiss</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a13f040a7ca68c6174f2b9e0b4fe408af">EmotePoint</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a8c560dfc5ba76b3bb53d326e210c795b">EmoteTauntElbow</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ac583445560c086dd5a37d67ed1b9609a">EmoteThumb</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ac919aa9bc6550b70755336eab5503762">EmoteThumbDown</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a81b7e8c523a813345bea0ec40f1b949d">EmoteThroat</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a8a0d6229719c0c67b822fd628df316e5">EmoteDance</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab4a33577f09ed9b5136f7fb6bc2a6e84">EmoteSalute</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a53b685e2fdfe06c1b4025bd8d7b2fe3d">EmoteTimeout</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="comment">//emotes.Insert(EmoteDabbing);</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ae33227f6ff32ecadf1b9a572d091e331">EmoteFacepalm</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ace17d1a1bbe26932934c671462ccd2c4">EmoteClap</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a0b47c578b3e26b93476199f5ce175881">EmoteSilent</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a227b9312ebac088a1ea5cdc3cbb2b1f4">EmoteWatching</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a00a13d3b129db7870af5997c85624f3e">EmoteHold</a>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ac6db4aa373837e1e26e80186a382862d">EmoteListening</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a128ae6f0472e8b5e61cdd893ffe52111">EmotePointSelf</a>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a72d8c0f30c3b972dfcc74640745f6922">EmoteLookAtMe</a>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#aa3cacf53e8457a901a7ccffd274d13ba">EmoteTauntThink</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab085abb395decdc2c6126378d7f8a77a">EmoteMove</a>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a1997753ce81d7eff6e3b1197e156b09e">EmoteGetDown</a>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab0b48eccc5d283b6a9a7ec87da02972e">EmoteCome</a>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#aee76b24ca96dbc81cfdb73710031a283">EmoteSurrender</a>); <span class="comment">//exception, partially handled in EmoteManager directly (..)</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab067dc1c3e07f63f1810f5e67e00deb9">EmoteCampfireSit</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#aed753b2fff649626dddc06c23e3be7a2">EmoteSitA</a>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#aa14af874d55926776b0e5fc19ddb94a9">EmoteSitB</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a1846777c685ca2c264517d5df931aaa5">EmoteRPSRandom</a>);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ac03716b5fed5da06ac8f845161503409">EmoteRPSRock</a>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a1efcdacc6c116bc5fe007f3dadf67e10">EmoteRPSPaper</a>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ab88a642b9202ea42c8bc55e9642e6597">EmoteRPSScisors</a>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a6a621a5f4c0bcd2de62f70156552a3a9">EmoteNod</a>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#ada5e653266c8f15dbbdf511f528d3987">EmoteShake</a>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a0f30237001d7e8c3ab81b768922303a3">EmoteShrug</a>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a88f59a06c58e29ff08c4b7c4b7612846">EmoteSuicide</a>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        emotes.Insert(<a class="code hl_function" href="../../d7/df2/_emote_classes_8c.html#a72651fa9d643364331f0fe441db1b70d">EmoteVomit</a>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>}</div>
<div class="ttc" id="a_area_damage_manager_8c_html_a76a1123843570070c883a4c1134dcf58"><div class="ttname"><a href="../../df/dbe/_area_damage_manager_8c.html#a76a1123843570070c883a4c1134dcf58">Spawn</a></div><div class="ttdeci">void Spawn()</div><div class="ttdoc">spawn damage trigger</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00070">AreaDamageManager.c:70</a></div></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a00a13d3b129db7870af5997c85624f3e"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a00a13d3b129db7870af5997c85624f3e">EmoteHold</a></div><div class="ttdeci">class EmoteWatching extends EmoteBase EmoteHold()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00271">EmoteClasses.c:287</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a03023ef84ff1864dfe94138c9937376c"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a03023ef84ff1864dfe94138c9937376c">EmoteTauntKiss</a></div><div class="ttdeci">class EmoteLyingDown extends EmoteBase EmoteTauntKiss()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00058">EmoteClasses.c:83</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a0b47c578b3e26b93476199f5ce175881"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a0b47c578b3e26b93476199f5ce175881">EmoteSilent</a></div><div class="ttdeci">class EmoteClap extends EmoteBase EmoteSilent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00243">EmoteClasses.c:259</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a0f30237001d7e8c3ab81b768922303a3"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a0f30237001d7e8c3ab81b768922303a3">EmoteShrug</a></div><div class="ttdeci">class EmoteShake extends EmoteBase EmoteShrug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00542">EmoteClasses.c:558</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a128ae6f0472e8b5e61cdd893ffe52111"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a128ae6f0472e8b5e61cdd893ffe52111">EmotePointSelf</a></div><div class="ttdeci">class EmoteListening extends EmoteBase EmotePointSelf()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00299">EmoteClasses.c:315</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a13f040a7ca68c6174f2b9e0b4fe408af"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a13f040a7ca68c6174f2b9e0b4fe408af">EmotePoint</a></div><div class="ttdeci">void EmotePoint()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00112">EmoteClasses.c:112</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a14d36a6eb6d827fb62a80543c8628b1f"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a14d36a6eb6d827fb62a80543c8628b1f">EmoteGreeting</a></div><div class="ttdeci">void EmoteGreeting()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00019">EmoteClasses.c:19</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a1846777c685ca2c264517d5df931aaa5"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a1846777c685ca2c264517d5df931aaa5">EmoteRPSRandom</a></div><div class="ttdeci">class EmoteSitB extends EmoteBase EmoteRPSRandom()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00458">EmoteClasses.c:474</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a1997753ce81d7eff6e3b1197e156b09e"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a1997753ce81d7eff6e3b1197e156b09e">EmoteGetDown</a></div><div class="ttdeci">class EmoteMove extends EmoteBase EmoteGetDown()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00355">EmoteClasses.c:371</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a1efcdacc6c116bc5fe007f3dadf67e10"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a1efcdacc6c116bc5fe007f3dadf67e10">EmoteRPSPaper</a></div><div class="ttdeci">class EmoteRPSRock extends EmoteBase EmoteRPSPaper()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00486">EmoteClasses.c:502</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a227b9312ebac088a1ea5cdc3cbb2b1f4"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a227b9312ebac088a1ea5cdc3cbb2b1f4">EmoteWatching</a></div><div class="ttdeci">void EmoteWatching()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00288">EmoteClasses.c:288</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a25ed23aa7957f324f0c5e8829198f86f"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a25ed23aa7957f324f0c5e8829198f86f">EmoteTaunt</a></div><div class="ttdeci">class EmoteHeart extends EmoteBase EmoteTaunt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00030">EmoteClasses.c:46</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a53b685e2fdfe06c1b4025bd8d7b2fe3d"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a53b685e2fdfe06c1b4025bd8d7b2fe3d">EmoteTimeout</a></div><div class="ttdeci">class EmoteSalute extends EmoteBase EmoteTimeout()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00187">EmoteClasses.c:203</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a6a621a5f4c0bcd2de62f70156552a3a9"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a6a621a5f4c0bcd2de62f70156552a3a9">EmoteNod</a></div><div class="ttdeci">class EmoteRPSScisors extends EmoteBase EmoteNod()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00514">EmoteClasses.c:530</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a72651fa9d643364331f0fe441db1b70d"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a72651fa9d643364331f0fe441db1b70d">EmoteVomit</a></div><div class="ttdeci">class EmoteSuicide extends EmoteBase EmoteVomit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00570">EmoteClasses.c:690</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a72d8c0f30c3b972dfcc74640745f6922"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a72d8c0f30c3b972dfcc74640745f6922">EmoteLookAtMe</a></div><div class="ttdeci">void EmoteLookAtMe()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00344">EmoteClasses.c:344</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a81b7e8c523a813345bea0ec40f1b949d"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a81b7e8c523a813345bea0ec40f1b949d">EmoteThroat</a></div><div class="ttdeci">void EmoteThroat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00168">EmoteClasses.c:168</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a88f59a06c58e29ff08c4b7c4b7612846"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a88f59a06c58e29ff08c4b7c4b7612846">EmoteSuicide</a></div><div class="ttdeci">void EmoteSuicide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00691">EmoteClasses.c:691</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a8a0d6229719c0c67b822fd628df316e5"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a8a0d6229719c0c67b822fd628df316e5">EmoteDance</a></div><div class="ttdeci">class EmoteThroat extends EmoteBase EmoteDance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00151">EmoteClasses.c:167</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a8c4c732a39d7aa7dc6a12ca671f6c35d"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a8c4c732a39d7aa7dc6a12ca671f6c35d">EmoteLyingDown</a></div><div class="ttdeci">void EmoteLyingDown()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00085">EmoteClasses.c:85</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a8c560dfc5ba76b3bb53d326e210c795b"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a8c560dfc5ba76b3bb53d326e210c795b">EmoteTauntElbow</a></div><div class="ttdeci">class EmotePoint extends EmoteBase EmoteTauntElbow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00095">EmoteClasses.c:111</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_a9a7cb39cb6a4e9372d047733375ff3da"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#a9a7cb39cb6a4e9372d047733375ff3da">EmoteSOS</a></div><div class="ttdeci">class EmoteGreeting extends EmoteBase EmoteSOS()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00002">EmoteClasses.c:18</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_aa14af874d55926776b0e5fc19ddb94a9"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#aa14af874d55926776b0e5fc19ddb94a9">EmoteSitB</a></div><div class="ttdeci">void EmoteSitB()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00475">EmoteClasses.c:475</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_aa3cacf53e8457a901a7ccffd274d13ba"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#aa3cacf53e8457a901a7ccffd274d13ba">EmoteTauntThink</a></div><div class="ttdeci">class EmoteLookAtMe extends EmoteBase EmoteTauntThink()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00327">EmoteClasses.c:343</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab067dc1c3e07f63f1810f5e67e00deb9"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab067dc1c3e07f63f1810f5e67e00deb9">EmoteCampfireSit</a></div><div class="ttdeci">void EmoteCampfireSit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00447">EmoteClasses.c:447</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab085abb395decdc2c6126378d7f8a77a"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab085abb395decdc2c6126378d7f8a77a">EmoteMove</a></div><div class="ttdeci">void EmoteMove()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00372">EmoteClasses.c:372</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab0b48eccc5d283b6a9a7ec87da02972e"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab0b48eccc5d283b6a9a7ec87da02972e">EmoteCome</a></div><div class="ttdeci">void EmoteCome()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00401">EmoteClasses.c:401</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab45d986868b1de3aa6580a4ab41fb86a"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab45d986868b1de3aa6580a4ab41fb86a">EmoteHeart</a></div><div class="ttdeci">void EmoteHeart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00047">EmoteClasses.c:47</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab4a33577f09ed9b5136f7fb6bc2a6e84"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab4a33577f09ed9b5136f7fb6bc2a6e84">EmoteSalute</a></div><div class="ttdeci">void EmoteSalute()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00204">EmoteClasses.c:204</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ab88a642b9202ea42c8bc55e9642e6597"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ab88a642b9202ea42c8bc55e9642e6597">EmoteRPSScisors</a></div><div class="ttdeci">void EmoteRPSScisors()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00531">EmoteClasses.c:531</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ac03716b5fed5da06ac8f845161503409"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ac03716b5fed5da06ac8f845161503409">EmoteRPSRock</a></div><div class="ttdeci">void EmoteRPSRock()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00503">EmoteClasses.c:503</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ac583445560c086dd5a37d67ed1b9609a"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ac583445560c086dd5a37d67ed1b9609a">EmoteThumb</a></div><div class="ttdeci">void EmoteThumb()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00140">EmoteClasses.c:140</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ac6db4aa373837e1e26e80186a382862d"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ac6db4aa373837e1e26e80186a382862d">EmoteListening</a></div><div class="ttdeci">void EmoteListening()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00316">EmoteClasses.c:316</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ac919aa9bc6550b70755336eab5503762"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ac919aa9bc6550b70755336eab5503762">EmoteThumbDown</a></div><div class="ttdeci">class EmoteThumb extends EmoteBase EmoteThumbDown()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00123">EmoteClasses.c:139</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ace17d1a1bbe26932934c671462ccd2c4"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ace17d1a1bbe26932934c671462ccd2c4">EmoteClap</a></div><div class="ttdeci">void EmoteClap()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00260">EmoteClasses.c:260</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ada5e653266c8f15dbbdf511f528d3987"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ada5e653266c8f15dbbdf511f528d3987">EmoteShake</a></div><div class="ttdeci">void EmoteShake()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00559">EmoteClasses.c:559</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_ae33227f6ff32ecadf1b9a572d091e331"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#ae33227f6ff32ecadf1b9a572d091e331">EmoteFacepalm</a></div><div class="ttdeci">class EmoteDabbing extends EmoteBase EmoteFacepalm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00215">EmoteClasses.c:231</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_aed753b2fff649626dddc06c23e3be7a2"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#aed753b2fff649626dddc06c23e3be7a2">EmoteSitA</a></div><div class="ttdeci">class EmoteCampfireSit extends EmoteBase EmoteSitA()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00430">EmoteClasses.c:446</a></div></div>
<div class="ttc" id="a_emote_classes_8c_html_aee76b24ca96dbc81cfdb73710031a283"><div class="ttname"><a href="../../d7/df2/_emote_classes_8c.html#aee76b24ca96dbc81cfdb73710031a283">EmoteSurrender</a></div><div class="ttdeci">class EmoteCome extends EmoteBase EmoteSurrender()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/df2/_emote_classes_8c_source.html#l00383">EmoteClasses.c:400</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclass_emote_base_html"><div class="ttname"><a href="../../d3/d03/class_emote_base.html">EmoteBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d63/_emote_base_8c_source.html#l00001">EmoteBase.c:2</a></div></div>
<div class="ttc" id="aclass_emote_constructor_html"><div class="ttname"><a href="../../d4/dd4/class_emote_constructor.html">EmoteConstructor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4a/_emote_constructor_8c_source.html#l00001">EmoteConstructor.c:2</a></div></div>
<div class="ttc" id="aclass_emote_constructor_html_a30e7c37269e2995dd13fdf8acb01a7f4"><div class="ttname"><a href="../../d4/dd4/class_emote_constructor.html#a30e7c37269e2995dd13fdf8acb01a7f4">EmoteConstructor::RegisterEmotes</a></div><div class="ttdeci">void RegisterEmotes(TTypenameArray emotes)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4a/_emote_constructor_8c_source.html#l00037">EmoteConstructor.c:37</a></div></div>
<div class="ttc" id="aclass_emote_constructor_html_a423f442ef771108fce4ced4302ccdc0c"><div class="ttname"><a href="../../d4/dd4/class_emote_constructor.html#a423f442ef771108fce4ced4302ccdc0c">EmoteConstructor::ConstructEmotes</a></div><div class="ttdeci">bool ConstructEmotes(PlayerBase player, out map&lt; int, ref EmoteBase &gt; emoteMap)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4a/_emote_constructor_8c_source.html#l00003">EmoteConstructor.c:3</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; typename &gt;</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___enforce_html_ga103d3d25634e2d2b24e45c0515bffaa2"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga103d3d25634e2d2b24e45c0515bffaa2">Sort</a></div><div class="ttdeci">proto void Sort(void param_array[], int num)</div><div class="ttdoc">Sorts static array of integers(ascendically) / floats(ascendically) / strings(alphabetically)</div></div>
<div class="ttc" id="agroup___enforce_html_ga1089b41e0452fe47cf93bfa942e5f961"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga1089b41e0452fe47cf93bfa942e5f961">TTypenameArray</a></div><div class="ttdeci">array&lt; typename &gt; TTypenameArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00693">EnScript.c:693</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../d0/d4a/_emote_constructor_8c.html">EmoteConstructor.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
